How to install and update security patches in Redhat

0
568
How to install and update security patches

Normally to install and configure the security updates, we required yum-plugin-security (in RHEL5, yum-security). This plugin make it possible to limit list/update of packages to specific security related things. In RHEL7, The plugin is already a part of yum itself, no need to install anything.

For RHEL 6

# yum install yum-plugin-security

For RHEL 5:

# yum install yum-security

We can check all security related updates using following commend, it will list all related updates

# yum check-update –security

To show a list of all bugzillas that are fixed for packages you have installed enter:

# yum updateinfo list bugzillas

Loaded plugins: amazon-id, rhui-lb, search-disabled-repos

1343609 bugfix     NetworkManager-1:1.0.6-30.el7_2.x86_64

1286737 bugfix     device-mapper-7:1.02.107-5.el7_2.1.x86_64

1346172 bugfix     device-mapper-7:1.02.107-5.el7_2.5.x86_64

1286737 bugfix     device-mapper-libs-7:1.02.107-5.el7_2.1.x86_64

1346172 bugfix    device-mapper-libs-7:1.02.107-5.el7_2.5.x86_64

1302332 bugfix     libblkid-2.23.2-26.el7_2.2.x86_64

1317953 bugfix     libblkid-2.23.2-26.el7_2.2.x86_64

1283192 bugfix     libgudev1-219-19.el7_2.4.x86_64

1328780 bugfix     libgudev1-219-19.el7_2.9.x86_64

1331339 bugfix     libgudev1-219-19.el7_2.9.x86_64

1302332 bugfix     libmount-2.23.2-26.el7_2.2.x86_64

1284842 bugfix     procps-ng-3.3.10-5.el7_2.x86_64

1287174 bugfix     procps-ng-3.3.10-5.el7_2.x86_64

1283192 bugfix     systemd-219-19.el7_2.4.x86_64

1288005 bugfix     systemd-219-19.el7_2.4.x86_64

1298209 bugfix     systemd-219-19.el7_2.4.x86_64

1311887 bugfix     systemd-219-19.el7_2.7.x86_64

1314693 bugfix     systemd-libs-219-19.el7_2.7.x86_64

1328780 bugfix     systemd-libs-219-19.el7_2.9.x86_64

1314693 bugfix     systemd-sysv-219-19.el7_2.7.x86_64

1328780 bugfix     systemd-sysv-219-19.el7_2.9.x86_64

1331339 bugfix     systemd-sysv-219-19.el7_2.9.x86_64

Updateinfo list done

To get a summary of advisories you haven’t installed yet use:

# yum updateinfo summary

To list all available erratas which is not installed

# yum updateinfo list available

To list all available security updates without install,

# yum updateinfo list security all

# yum updateinfo list sec

To get a list of the currently installed security updates this command can be used:

# yum updateinfo list security installed

To upgrade packages those have security errata (upgrades to the latest available package) use:

# yum update –y –security

To upgrade packages those have security errata (upgrades to the last security errata package) use:

# yum update-minimal –security

To View all available advisories by severities;

# yum updateinfo list

Loaded plugins: amazon-id, rhui-lb, search-disabled-repos

RHBA-2016:0547 bugfix     NetworkManager-1:1.0.6-29.el7_2.x86_64

RHBA-2016:1285 bugfix     NetworkManager-1:1.0.6-30.el7_2.x86_64

RHBA-2016:0547 bugfix     NetworkManager-config-server-1:1.0.6-29.el7_2.x86_64

RHBA-2016:1285 bugfix     NetworkManager-config-server-1:1.0.6-30.el7_2.x86_64

RHBA-2016:0547 bugfix     NetworkManager-libnm-1:1.0.6-29.el7_2.x86_64

RHBA-2016:1285 bugfix     NetworkManager-libnm-1:1.0.6-30.el7_2.x86_64

RHBA-2016:0547 bugfix     NetworkManager-team-1:1.0.6-29.el7_2.x86_64

RHBA-2016:1285 bugfix     NetworkManager-team-1:1.0.6-30.el7_2.x86_64

RHBA-2016:0547 bugfix     NetworkManager-tui-1:1.0.6-29.el7_2.x86_64

RHBA-2016:1285 bugfix     NetworkManager-tui-1:1.0.6-30.el7_2.x86_64

RHBA-2016:0183 bugfix     avahi-autoipd-0.6.31-15.el7_2.1.x86_64

RHBA-2016:0183 bugfix     avahi-libs-0.6.31-15.el7_2.1.x86_64

If you like to install particular advisory,

# yum update –advisory= RHBA-2016:1285

To check more information about this advisory before to apply it:

# yum updateinfo RHSA-2014:0159

To see more information about yum-security, we can use man:

# man yum-security

NO COMMENTS